### Method

# Cogl Program get_uniform_location

deprecated: 1.16

#### Declaration [src]

    int
    cogl_program_get_uniform_location (
      CoglProgram* program,
      const char* uniform_name
    )

#### Description [src]

Retrieve the location (offset) of a uniform variable in a shader program, a uniform is a variable that is constant for all vertices/fragments for a shader object and is possible to modify as an external parameter.

Deprecated since: 1.16

Use `CoglSnippet` api instead.

#### Parameters

`uniform_name`

  Type: `const char*`

  The name of a uniform.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

The offset of a uniform in a specified program.